본문으로 건너뛰기

condenser_api.get_blog_entries ​

Purpose ​

계정의 블로그 항목 목록을 반환합니다. 파라미터: account:string; start_entry_id:int; limit:int 최대 500

account (string)start_entry_id (int)limit (int)
"steemit"01"steemit" 계정의 블로그 항목을 조회합니다. 최대 1개 결과입니다.
"alice"050"alice" 계정의 블로그 항목을 조회합니다. 최대 50개 결과입니다.

함께 보기: follow_api.get_blog_entries, Paginated API Methods

Parameters ​

PARAMETERS
json
[
  "steemit",
  0,
  1
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_blog_entries",
    "params": [
      "steemit",
      0,
      1
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_blog_entries",
    "params": [
      "alice",
      0,
      50
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
[
  {
    "author": "steemit",
    "permlink": "firstpost",
    "blog": "steemit",
    "reblog_on": "1970-01-01T00:00:00",
    "entry_id": 0
  }
]